#!/usr/bin/perl
$LogFile = "/log.txt";
#open(F,">$LogFile");
$List1 = $ARGV[0];
$TheThresh = $ARGV[1];
$BadSpot = "$List1" . "BAD/";
$GoodSpot = "$List1" . "GOOD/";

use lib ($ARGV[2]);
use Bio::Trace::ABIF;
use File::Copy;
my $abif = Bio::Trace::ABIF->new();
if ($List1=~/ /){
	@FileList = <"$List1"*.ab1>;
}else{
	@FileList = <$List1*.ab1>;
}

foreach $CurrentFile(@FileList){
	@PartsOfName = split ('/',$CurrentFile);
	$SampleName = $PartsOfName[-1];
	$abif->open_abif($CurrentFile);
	$NumHighQualityBases1 = $abif->num_high_quality_bases(30);
	$abif->close_abif();
	$BaseFile1 = $CurrentFile;
	$BaseFile2 = $FileToCompare;
	$BaseFile1 =~s!.ab1!!g;
	$BaseFile2 =~s!.ab1!!g;
	$GreaterThanThresh = "N";
	if ($NumHighQualityBases1 > $TheThresh){
		$GreaterThanThresh = "Y";
	}

	if ($GreaterThanThresh eq "N"){
		#print F "Better - $CurrentFile\nBetter - $FileToCompare\nBase File - $BaseFile1 $BaseFile2\nGood Spot - $GoodSpot\n\n";
		$PHD1 = $BaseFile1 . ".phd.1";
		$SEQ1 = $BaseFile1 . ".seq";
		$ABI1 = $BaseFile1 . ".ab1";
		$PHD2 = $BaseFile2 . ".phd.1";
		$SEQ2 = $BaseFile2 . ".seq";
		$ABI2 = $BaseFile2 . ".ab1";
		#print F "$PHD2\n$GoodSpot\n$BadSpot\n\n";
		if (-e $PHD2){
			move ($PHD2,$GoodSpot);
		}
		if (-e $SEQ2){
			move ($SEQ2,$GoodSpot);
		}
		if (-e $ABI2){
			move ($ABI2,$GoodSpot);
		}
		if (-e $PHD1){
			move ($PHD1,$BadSpot);
		}
		if (-e $SEQ1){
			move ($SEQ1,$BadSpot);
		}
		if (-e $ABI1){
			move ($ABI1,$BadSpot);
		}
	}else{
		#print F "Worse - $CurrentFile\nWorse - $FileToCompare\nBase File - $BaseFile1 $BaseFile2\n\n";
		$PHD1 = $BaseFile1 . ".phd.1";
		$SEQ1 = $BaseFile1 . ".seq";
		$ABI1 = $BaseFile1 . ".ab1";
		$PHD2 = $BaseFile2 . ".phd.1";
		$SEQ2 = $BaseFile2 . ".seq";
		$ABI2 = $BaseFile2 . ".ab1";
		if (-e $PHD2){
			move ($PHD2,$BadSpot);
		}
		if (-e $SEQ2){
			move ($SEQ2,$BadSpot);
		}
		if (-e $ABI2){
			move ($ABI2,$BadSpot);
		}
		if (-e $PHD1){
			move ($PHD1,$GoodSpot);
		}
		if (-e $SEQ1){
			move ($SEQ1,$GoodSpot);
		}
		if (-e $ABI1){
			move ($ABI1,$GoodSpot);
		}
	}
 
}


